設定表單範本所需的安全性層級

重要:  本文係由機器翻譯而成,請參閱免責聲明。本文的英文版本請見這裡,以供參考。

當您設計表單範本時,Microsoft Office InfoPath 會針對使用者在填寫以表單範本為基礎的表單時所需的功能,自動選取適當的安全性層級。此設定可以啟用表單所需的最低信任層級。例如,「限制」安全性層級會限制表單是否能夠存取其他網域上的資料及使用者電腦上的檔案及設定。當您設計表單範本時,您可以覆寫設定值,並且手動選取不同的安全性層級。如需 InfoPath 表單範本之安全性層級的詳細資訊,請參考「請參閱」一節。

除了那些具有 Managed 程式碼的表單範本之外,所有新的空白表單範本預設都會使用「限制」安全性層級。當您新增某些功能到表單範本時,安全性層級會自動提升為「網域」層級。

附註: 若要新增或編輯受管理的程式碼,您必須Microsoft Visual Studio Tools for Applications (VSTA)您電腦上安裝。安裝 VSTA 之前,必須安裝 Microsoft.NET Framework 2.0 與 Microsoft 核心 XML 服務 6.0。若要安裝 VSTA,[控制台] 中,開啟 [新增或移除程式,找出2007 Microsoft Office system,,然後按一下變更

對表單範本使用適當的安全性層級,以協助使用者避免不必要的安全性威脅,是一個很好的做法。

若要設定表單範本的安全性層級,請執行下列項目:

  1. 按一下 [工具] 功能表上的 [表單選項]。

  2. 按一下 [類別] 底下的 [安全性與信任]

  3. 清除 [安全性層級] 底下的 [自動判斷安全性層級 (建議)] 核取方塊。

  4. 按一下您要的安全性層級。

附註: 如果表單範本需要「完全信任」安全性層級,則該表單範本必須安裝在使用者的電腦上,或是以受信任的根憑證進行數位簽章。否則,使用者將無法授與完全信任給以該表單範本為基礎的表單,而且表單中的某些功能可能無法作用。可以使用 [InfoPath 發佈精靈] 產生表單範本的安裝檔案。

附註: 機器翻譯免責聲明︰本文係以電腦系統翻譯而成,未經人為介入。Microsoft 提供此等機器翻譯旨在協助非英語系使用者輕鬆閱讀 Microsoft 產品、服務及技術相關內容。基於本文乃由機器翻譯而成,因此文中可能出現詞辭、語法、文法上之錯誤。

擴展您的技能
探索訓練
優先取得新功能
加入 Office 測試人員

這項資訊有幫助嗎?

感謝您的意見反應!

感謝您的意見反應! 我們將協助您與其中一位 Office 支援專員連絡以深入了解您的意見。

×